<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelDataBuffer Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelDataBuffer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelDataBuffer" --><!-- doxytag: inherits="iBase" -->
<p>This interface describes persistable data.  
 <a href="structiCelDataBuffer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="persist_8h_source.html">physicallayer/persist.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelDataBuffer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelDataBuffer.png" usemap="#iCelDataBuffer_map" alt=""/>
  <map id="iCelDataBuffer_map" name="iCelDataBuffer_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,95,24"/>
</map>
 </div></div>

<p><a href="structiCelDataBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#a9ba8d453634f1b459d3b8ff78246bcc1">Add</a> (bool v)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience methods to add specific types of data.  <a href="#a9ba8d453634f1b459d3b8ff78246bcc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#afaad25c5c32be4d6986ccc5a60e3b7ff">AddData</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a data entry.  <a href="#afaad25c5c32be4d6986ccc5a60e3b7ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#aa6717cd01363b1bb5248f53973dd6f07">GetBool</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience methods to get specific types of data.  <a href="#aa6717cd01363b1bb5248f53973dd6f07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#a52b44569c137762edeade31567a13005">GetData</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next data entry.  <a href="#a52b44569c137762edeade31567a13005"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#a09c685b73db16b3b76cf98157ab6eb3f">GetData</a> (size_t idx)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a specific data entry.  <a href="#a09c685b73db16b3b76cf98157ab6eb3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#a7d2c994b631a175d1530254f982cd3da">GetDataCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of data entries.  <a href="#a7d2c994b631a175d1530254f982cd3da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#a5ed1b0f4c5978ad6773178256b414ee4">GetSerialNumber</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a serial number for this data.  <a href="#a5ed1b0f4c5978ad6773178256b414ee4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelDataBuffer.html#ac1071585c5549ef17aa0488b6ed82752">Reset</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the internal read counter.  <a href="#ac1071585c5549ef17aa0488b6ed82752"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface describes persistable data. </p>

<p>Definition at line <a class="el" href="persist_8h_source.html#l00093">93</a> of file <a class="el" href="persist_8h_source.html">persist.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9ba8d453634f1b459d3b8ff78246bcc1"></a><!-- doxytag: member="iCelDataBuffer::Add" ref="a9ba8d453634f1b459d3b8ff78246bcc1" args="(bool v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelDataBuffer.html#a9ba8d453634f1b459d3b8ff78246bcc1">iCelDataBuffer::Add</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td><code> [inline, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience methods to add specific types of data. </p>

<p>Definition at line <a class="el" href="persist_8h_source.html#l00130">130</a> of file <a class="el" href="persist_8h_source.html">persist.h</a>.</p>

</div>
</div>
<a class="anchor" id="afaad25c5c32be4d6986ccc5a60e3b7ff"></a><!-- doxytag: member="iCelDataBuffer::AddData" ref="afaad25c5c32be4d6986ccc5a60e3b7ff" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiCelDataBuffer.html#afaad25c5c32be4d6986ccc5a60e3b7ff">iCelDataBuffer::AddData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a data entry. </p>

</div>
</div>
<a class="anchor" id="aa6717cd01363b1bb5248f53973dd6f07"></a><!-- doxytag: member="iCelDataBuffer::GetBool" ref="aa6717cd01363b1bb5248f53973dd6f07" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelDataBuffer.html#aa6717cd01363b1bb5248f53973dd6f07">iCelDataBuffer::GetBool</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inline, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience methods to get specific types of data. </p>

<p>Definition at line <a class="el" href="persist_8h_source.html#l00148">148</a> of file <a class="el" href="persist_8h_source.html">persist.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52b44569c137762edeade31567a13005"></a><!-- doxytag: member="iCelDataBuffer::GetData" ref="a52b44569c137762edeade31567a13005" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiCelDataBuffer.html#a52b44569c137762edeade31567a13005">iCelDataBuffer::GetData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the next data entry. </p>
<p>See <a class="el" href="structiCelDataBuffer.html#ac1071585c5549ef17aa0488b6ed82752" title="Reset the internal read counter.">Reset()</a>. </p>

</div>
</div>
<a class="anchor" id="a09c685b73db16b3b76cf98157ab6eb3f"></a><!-- doxytag: member="iCelDataBuffer::GetData" ref="a09c685b73db16b3b76cf98157ab6eb3f" args="(size_t idx)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiCelDataBuffer.html#a52b44569c137762edeade31567a13005">iCelDataBuffer::GetData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a specific data entry. </p>

</div>
</div>
<a class="anchor" id="a7d2c994b631a175d1530254f982cd3da"></a><!-- doxytag: member="iCelDataBuffer::GetDataCount" ref="a7d2c994b631a175d1530254f982cd3da" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelDataBuffer.html#a7d2c994b631a175d1530254f982cd3da">iCelDataBuffer::GetDataCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of data entries. </p>

</div>
</div>
<a class="anchor" id="a5ed1b0f4c5978ad6773178256b414ee4"></a><!-- doxytag: member="iCelDataBuffer::GetSerialNumber" ref="a5ed1b0f4c5978ad6773178256b414ee4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual long <a class="el" href="structiCelDataBuffer.html#a5ed1b0f4c5978ad6773178256b414ee4">iCelDataBuffer::GetSerialNumber</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a serial number for this data. </p>
<p>This can be used to check validity of the data (i.e. to compare version numbers). </p>

</div>
</div>
<a class="anchor" id="ac1071585c5549ef17aa0488b6ed82752"></a><!-- doxytag: member="iCelDataBuffer::Reset" ref="ac1071585c5549ef17aa0488b6ed82752" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelDataBuffer.html#ac1071585c5549ef17aa0488b6ed82752">iCelDataBuffer::Reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the internal read counter. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="persist_8h_source.html">persist.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
